Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | PFont

Name

### list()

Examples

    size(200, 200);
    String[] fontList = PFont.list();
    println(fontList);

Description | Gets a list of the fonts installed on the system. The data is returned as a String array. This list provides the names of each font for input into createFont(), which allows Processing to dynamically format fonts. This function is meant as a tool for programming local applications and is not recommended for use in applets.

Syntax

    font.list()

Parameters

font | any variable of type PFont

Returns | String[]
Usage | Application

Updated on November 22, 2008 08:39:25pm PST